
import { getCodeScene  } from '@/services/common'
import { parseQueryString } from './tools'

/**
 * 获取二维码参数
 * 微信小程序  基础库 2.1.2 开始支持
 * @param {*} scene 场景值
 */
export function getQrCodeParams(sceneID) {
  if (!sceneID) {
    console.error('未解析到二维码场景值')
    return Promise.reject('未解析到二维码场景值')
  }

  console.log('解析到二维码场景 ID', sceneID)

  return new Promise((resolve, reject) => {
    getCodeScene(sceneID).then((res) => {
      const data = typeof res === 'string' ? JSON.parse(res) : res
      const params = parseQueryString(data.scene || '')

      console.log('解析到二维码场景参数: ', params)

      resolve({
        ...params,
        '__raw': data.scene,
      })
    }).catch(err => {
      console.error('解析二维码场景参数失败', err)
      reject('解析二维码场景参数失败')
    })
  })
}
